<template>
    <div>
        <div v-if="project">
            <p class="mb-4 project-description" v-html="project.description"></p>
            <div v-for="(item, i) in project.items" :key="i">
                <div class="text-center mb-5">
                    <b-img v-if="itemIsImg(item)" fluid :src="`/img/projects/${item}`" />

                    <b-embed v-else
                        type="iframe"
                        aspect="16by9"
                        :src="`//player.vimeo.com/video/${item}?title=0&byline=0&portrait=0`"
                        allowfullscreen />
                </div>
            </div>
        </div>
        <div v-else>
            Proyecto no encontrado. / Project not found.
        </div>
    </div>
</template>

<style lang="scss" scoped>
    .project-description {
        font-size: 0.8em;
    }
</style>

<script>
    import projects from '../../data.json'

    import { BImg, BEmbed } from 'bootstrap-vue'

    export default {
        name: 'Project',
        components: {
            'b-img': BImg,
            'b-embed': BEmbed
        },
        data() {
            return {
                project: this.findProject(this.$route.params.projectCode)
            }
        },
        methods: {
            findProject(projectCode) {
                for (var i = 0; i < projects.length; i++) {
                    if (projects[i].code == projectCode) {
                        return projects[i];
                    }
                }
                return null;
            },
            itemIsImg(item) {
                return item.indexOf('.') != -1;
            }
        },
        watch: {
            $route(to, from) {
                this.project = this.findProject(to.params.projectCode);
            }
        }
    }
</script>
